import * as graphic from '../../util/graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from 'tvrender/lib/core/PathProxy.js';
import { IExtent, ILineStyle } from './MineLinesSeries.js';
declare class LinesPathShape {
    points: number[];
    extend: IExtent;
    lineStyle: ILineStyle;
    rectWidth: number;
    rectHeight: number;
    stroke?: string;
    isWebviewRender?: boolean;
}
declare type LinesPathProps = PathProps & {
    shape?: Partial<LinesPathShape>;
};
declare class LinesPath extends graphic.Path<LinesPathProps> {
    shape: LinesPathShape;
    constructor(opts?: LinesPathProps);
    getDefaultShape(): LinesPathShape;
    buildPath(path: PathProxy, shape: LinesPathShape): void;
}
export default LinesPath;
